package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.Statistics;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StatisticsMapper extends BaseMapper<Statistics> {
    Integer selectTotal();
    // 累计用户
    List<String> selectUserIdsByEquipmentCode(@Param("equipmentCode") String equipmentCode);
    // 累计扫码
    Integer selectScanByEquipmentCode(@Param("equipmentCode") String equipmentCode);
    // 累计交易
    Integer selectDealCountByEquipmentCode(@Param("equipmentCode") String equipmentCode);
    // 累计收入
    Float selectTotalPriceByEquipmentCode(@Param("equipmentCode") String equipmentCode);
}
